SSHFPRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class SSHFPRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.SSHFPRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class SSHFPRecord
      extends Record

  SSH Fingerprint - stores the fingerprint of an SSH host key.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SSHFPRecord.Algorithm`
    `static class` | `SSHFPRecord.Digest`

  - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSHFPRecord(Name name, int dclass, long ttl, int alg, int digestType, byte[] fingerprint)` Creates an SSHFP Record from the given data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlgorithm()` Returns the public key's algorithm.
    `int` | `getDigestType()` Returns the public key's digest type.
    `byte[]` | `getFingerPrint()` Returns the fingerprint

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSHFPRecord

          public SSHFPRecord(Name name,
                     int dclass,
                     long ttl,
                     int alg,
                     int digestType,
                     byte[] fingerprint)

      Creates an SSHFP Record from the given data.
      Parameters:
        `alg` - The public key's algorithm.
        `digestType` - The public key's digest type.
        `fingerprint` - The public key's fingerprint.

  - ### Method Detail

    - #### getAlgorithm

          public int getAlgorithm()

      Returns the public key's algorithm.

    - #### getDigestType

          public int getDigestType()

      Returns the public key's digest type.

    - #### getFingerPrint

          public byte[] getFingerPrint()

      Returns the fingerprint